package com.hh.arome.http.params;

import com.hh.arome.http.JsonParamsBuilder;
import com.hh.arome.http.JsonResponse;
import com.hh.arome.http.response.AmpeJsonResponse;

import org.xutils.common.Callback;
import org.xutils.http.RequestParams;
import org.xutils.http.annotation.HttpRequest;
import org.xutils.x;

@HttpRequest(
    path = "ampe/sign",
    builder = JsonParamsBuilder.class
)
public class AmpeJsonParams extends RequestParams {

    private String deviceId;

    public AmpeJsonParams(String deviceId) {
        this.deviceId = deviceId;
    }

    public Callback.Cancelable send(Callback.CommonCallback<JsonResponse<AmpeJsonResponse>> callback) {
        return x.http().post(this, callback);
    }

}
